util.settings

## Class PropertyManager

- java.lang.Object
- - util.settings.PropertyManager

-     public class PropertyManager
      extends java.lang.Object

  Author:
    Til Schneider, www.murfman.de

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `addProperty(Property prop)`
    `void` | `clearChanges()`
    `java.lang.String` | `getProperty(java.lang.String key)` Gets the property with the given key.
    `boolean` | `hasChanged(Property prop)`
    `boolean` | `hasChanged(Property[] propArr)`
    `void` | `readFromFile(java.io.File settingsFile)`
    `void` | `readFromStream(java.io.InputStream in)`
    `(package private) void` | `setProperty(java.lang.String key, java.lang.String value)`
    `void` | `writeToFile(java.io.File settingsFile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyManager

          public PropertyManager()

  - ### Method Detail

    - #### writeToFile

          public void writeToFile(java.io.File settingsFile)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readFromFile

          public void readFromFile(java.io.File settingsFile)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readFromStream

          public void readFromStream(java.io.InputStream in)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### addProperty

          void addProperty(Property prop)

    - #### setProperty

          void setProperty(java.lang.String key,
                         java.lang.String value)

    - #### getProperty

          public java.lang.String getProperty(java.lang.String key)

      Gets the property with the given key.
      Parameters:
        `key` - The key to get the property for.
      Returns:
        The property for the key or `null` if the key didn't exists.

    - #### hasChanged

          public boolean hasChanged(Property prop)

    - #### hasChanged

          public boolean hasChanged(Property[] propArr)

    - #### clearChanges

          public void clearChanges()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)